MRWTextInternal::Zone Struct Reference

Internal: struct used to store zone data of a MRWText. More...

## Classes

struct | Information
| struct used to keep the information of a small zone of MRWTextInternal::Zone More...

## Public Member Functions

| Zone (int zId)
| constructor More...
bool | getPosition (long cPos, long &fPos, size_t &subZone) const
| returns the file position and the number of the sub zone More...
long | length () const
| returns the zone length More...
bool | getFont (int id, Font &ft) const
| returns a fonts corresponding to an id (if possible) More...
bool | getRuler (int id, Paragraph &ruler) const
| returns a ruler corresponding to an id (if possible) More...

## Public Attributes

int | m_id
| the zone id More...
std::vector< Information > | m_infoList
| the list of information of the text in the file More...
std::vector< Font > | m_fontList
| a list of font More...
std::vector< Paragraph > | m_rulerList
| a list of ruler More...
std::map< int, int > | m_idFontMap
| a map id -> fontId More...
std::map< long, int > | m_posFontMap
| a map pos -> fontId More...
std::map< long, int > | m_posRulerMap
| a map pos -> rulerId More...
int | m_actZone
| a index used to know the next zone in MRWText::readZone More...
bool | m_parsed
| a flag to know if the zone is parsed More...

## Detailed Description

Internal: struct used to store zone data of a MRWText.

## Constructor & Destructor Documentation

MRWTextInternal::Zone::Zone | ( | int | zId | ) |

inline

constructor

## Member Function Documentation

bool MRWTextInternal::Zone::getFont | ( | int | id,
|  | Font & | ft
| ) |  | const

inline

returns a fonts corresponding to an id (if possible)

Referenced by MRWText::send().

bool MRWTextInternal::Zone::getPosition | ( | long | cPos,
|  | long & | fPos,
|  | size_t & | subZone
| ) |  | const

inline

returns the file position and the number of the sub zone

Referenced by MRWText::findTableStructure(), and MRWText::send().

bool MRWTextInternal::Zone::getRuler | ( | int | id,
|  | Paragraph & | ruler
| ) |  | const

inline

returns a ruler corresponding to an id (if possible)

Referenced by MRWText::findTableStructure(), MRWText::send(), and MRWText::sendTable().

long MRWTextInternal::Zone::length | ( |  | ) | const

inline

returns the zone length

Referenced by MRWText::send().

## Member Data Documentation

int MRWTextInternal::Zone::m_actZone

a index used to know the next zone in MRWText::readZone

Referenced by MRWText::readZone().

std::vector<Font> MRWTextInternal::Zone::m_fontList

a list of font

Referenced by MRWText::readFonts().

int MRWTextInternal::Zone::m_id

the zone id

Referenced by MRWText::send().

std::map<int,int> MRWTextInternal::Zone::m_idFontMap

a map id -> fontId

Referenced by MRWText::readFontNames().

std::vector<Information> MRWTextInternal::Zone::m_infoList

the list of information of the text in the file

Referenced by MRWText::computeNumPages(), MRWText::findTableStructure(), MRWText::readTextStruct(), MRWText::readZone(), and MRWText::send().

bool MRWTextInternal::Zone::m_parsed

mutable

a flag to know if the zone is parsed

Referenced by MRWText::send().

std::map<long,int> MRWTextInternal::Zone::m_posFontMap

a map pos -> fontId

Referenced by MRWText::readPLCZone(), and MRWText::send().

std::map<long,int> MRWTextInternal::Zone::m_posRulerMap

a map pos -> rulerId

Referenced by MRWText::findTableStructure(), MRWText::readPLCZone(), and MRWText::send().

std::vector<Paragraph> MRWTextInternal::Zone::m_rulerList

a list of ruler

Referenced by MRWText::readRulers().

The documentation for this struct was generated from the following file:

- MRWText.cxx